/* "hide" the original class and template, they are keywords in C++ */
#define class _class
#define template _template

extern "C" {
void volatile exit (int);
#include <exec/types.h>
/* if you want to use the functions of <clib/alib_stdio_protos.h>, do this: */
#include <clib/alib_stdio_defines.h>
#ifdef __OPTIMIZE__		/* need lot of time & memory, is selected by -O2 */
#include <inline/exec.h>
#include <inline/dos.h>
#else
#include <clib/exec_protos.h>    /* faster and easier to debug */
#include <clib/dos_protos.h>     /* but code is worse */
#include <clib/tagdefines.h>	 /* file that has defines for xxxTags-Calls */
#endif
}

#undef template
#undef class

/* standard C++-Programm */
int main(void)
{
	// do someting useful here
	return 0;
}
