#ifndef  CLIB_MUIMASTER_PROTOS_H
#define  CLIB_MUIMASTER_PROTOS_H

#ifndef EXEC_TYPES_H
#include <exec/types.h>
#endif
#ifndef INTUITION_CLASSES_H
#include <intuition/classes.h>
#endif
#ifndef UTILITY_TAGITEM_H
#include <utility/tagitem.h>
#endif

#ifdef __cplusplus
#extern "C" {
#endif

APTR   MUI_NewObjectA   (char *cl,struct TagItem *tags);
APTR   MUI_NewObject    (char *cl,Tag tag1,...);
VOID   MUI_DisposeObject(APTR obj);
LONG   MUI_RequestA     (APTR app,APTR win,LONGBITS flags,char *title,char *gadgets,char *format,APTR params);
LONG   MUI_Request      (APTR app,APTR win,LONGBITS flags,char *title,char *gadgets,char *format,...);
LONG   MUI_Error        (VOID);

APTR MUI_AllocAslRequest    (unsigned long reqType, struct TagItem *tagList);
APTR MUI_AllocAslRequestTags(unsigned long reqType, Tag Tag1, ...);
VOID MUI_FreeAslRequest     (APTR requester );
BOOL MUI_AslRequest         (APTR requester, struct TagItem *tagList);
BOOL MUI_AslRequestTags     (APTR requester, Tag Tag1, ...);

#ifdef __cplusplus
}
#endif
#endif /* CLIB_MUIMASTER_PROTOS_H */
